Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.ListDataHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ListDataHandler

All Implemented Interfaces:
  `EventListener`, `ListDataListener`

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.ListDataHandler
    extends Object
    implements ListDataListener

This listener watches for changes in the `ComboBoxModel`.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  `BasicComboBoxUI.createListDataListener()`

### Constructor Summary

Constructors
`ListDataHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ListDataListener

`contentsChanged, intervalAdded, intervalRemoved`

### Constructor Detail

#### ListDataHandler

    public ListDataHandler()